%include %{_rpmconfigdir}/macros.python3

Name: python3-scipy
Version: 1.1.0
Release: 2
License: BSD-3-CLAUSE
Summary: Scientific Library for Python
Url: https://www.scipy.org/

Source0: https://github.com/scipy/scipy/releases/download/v%{version}/scipy-%{version}.tar.gz

Patch0: python3-scipy-NAN.patch
Patch1: python3-scipy-ccallback.patch

BuildRequires: blas-devel >= 3.8.0
BuildRequires: cblas-devel >= 3.8.0
BuildRequires: lapack-devel >= 3.8.0
BuildRequires: lapacke-devel >= 3.8.0
BuildRequires: gcc-gfortran
BuildRequires: python3-devel
BuildRequires: python3-pip
BuildRequires: python3-numpy > 1.15.0

Requires: python3-numpy > 1.15.0

%description
SciPy (pronounced “Sigh Pie”) is open-source software for mathematics, science,
and engineering. The SciPy library depends on NumPy, which provides convenient
and fast N-dimensional array manipulation. The SciPy library is built to work
with NumPy arrays, and provides many user-friendly and efficient numerical
routines such as routines for numerical integration and optimization. Together,
they run on all popular operating systems, are quick to install, and are free of
charge. NumPy and SciPy are easy to use, but powerful enough to be depended upon
by some of the world’s leading scientists and engineers.

%prep

%setup -q -n scipy-%{version}
%patch0 -p1
%if 0%{?ibmi_version} <= 71
%patch1 -p1
%endif

%build
export CC="gcc -fPIC"
export LDFLAGS="-pthread -Wl,-brtl"
python%{py_ver} setup.py bdist_wheel

%install

pip%{py_ver} install --no-index --no-compile --root %{buildroot} dist/*.whl

perl -p -i -e 's|pip|rpm|g' %{buildroot}%{py_sitedir}/*.dist-info/INSTALLER

%files
%defattr(-, qsys, *none)

%{py_sitedir}/scipy*

%changelog
* Fri Feb 05 2021 Kevin Adler <kadler@us.ibm.com>
- Use correct fortran buildrequires

* Thu Jan 17 2019 - Xu Meng <mengxumx@cn.ibm.com>
- change to use shared blas/lapack libs (#109)

* Thu Jan 03 2019 - Kevin Adler <kadler@us.ibm.com>
- Ensure necessary dependencies are listed
- Update description and use SPDX license

* Sun Aug 05 2018 - Kevin Adler <kadler@us.ibm.com>
- Set INSTALLER to be "rpm" instead of "pip"
- Add --no-index to pip, so it doesn't attempt to connect to the internet

* Fri Aug 03 2018 - Kevin Adler <kadler@us.ibm.com>
- Clean up

* Thu Aug 02 2018 - Kevin Adler <kadler@us.ibm.com>
- Remove unneeded setuptools and wheel build requirements

* Fri Jul 13 2018 - Xu Meng <mengxumx@cn.ibm.com>
- build scipy from source

* Fri Jun 22 2018 - Xu Meng <mengxumx@cn.ibm.com>
- fix directory conflict issue

* Fri Jun 22 2018 - Xu Meng <mengxumx@cn.ibm.com>
- Add scipy for machine learning
